#pragma once
#include "colorstatic.h"
#include "afxwin.h"
#include "readonlyedit.h"


// CDlg_Windows dialog

class CDlg_Windows : public CDialog
{
	DECLARE_DYNAMIC(CDlg_Windows)

public:
	CDlg_Windows(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlg_Windows();

// Dialog Data
	enum { IDD = IDD_WINDOWS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()
public:
	
	CEdit m_editWinNArea;
	CEdit m_editWinNEArea;
	CEdit m_editWinEArea;
	CEdit m_editWinSEArea;
	CEdit m_editWinSArea;
	CEdit m_editWinSWArea;
	CEdit m_editWinWArea;
	CEdit m_editWinNWArea;
	CEdit m_editRooflightsArea;
	CEdit m_editWinNSolTran;
	CEdit m_editWinNESolTran;
	CEdit m_editWinESolTran;
	CEdit m_editWinSESolTran;
	CEdit m_editWinSSolTran;
	CEdit m_editWinSWSolTran;
	CEdit m_editWinWSolTran;
	CEdit m_editWinNWSolTran;
	CEdit m_editRooflightsSolTran;
	CEdit m_editWinNFrameFact;
	CEdit m_editWinNEFrameFact;
	CEdit m_editWinEFrameFact;
	CEdit m_editWinSEFrameFact;
	CEdit m_editWinSWFrameFact;
	CEdit m_editWinSFrameFact;
	CEdit m_editWinWFrameFact;
	CEdit m_editWinNWFrameFact;
	CEdit m_editRoofLightsFrameFact;
	CReadOnlyEdit m_editLEL;

	CComboBox m_comboOvershading;
	CComboBox m_comboGlazing;

	CString str_editWinNArea;
	CString str_editWinNEArea;
	CString str_editWinEArea;
	CString str_editWinSEArea;
	CString str_editWinSArea;
	CString str_editWinSWArea;
	CString str_editWinWArea;
	CString str_editWinNWArea;
	CString str_editRooflightsArea;
	CString str_editWinNSolTran;
	CString str_editWinNESolTran;
	CString str_editWinESolTran;
	CString str_editWinSESolTran;
	CString str_editWinSSolTran;
	CString str_editWinSWSolTran;
	CString str_editWinWSolTran;
	CString str_editWinNWSolTran;
	CString str_editRooflightsSolTran;
	CString str_editWinNFrameFact;
	CString str_editWinNEFrameFact;
	CString str_editWinEFrameFact;
	CString str_editWinSEFrameFact;
	CString str_editWinSFrameFact;
	CString str_editWinSWFrameFact;
	CString str_editWinWFrameFact;
	CString str_editWinNWFrameFact;
	CString str_editRoofLightsFrameFact;
	CString str_comboOvershading;
	CString str_comboGlazing;
	CString str_editLEL;

	afx_msg void DisplayValuesForWindowsDlg();
	afx_msg void ReadInputsFromWindowsDlg();
	afx_msg void OnEnChangeEdit1();
	afx_msg void OnEnChangeEdit2();
	afx_msg void OnEnChangeEdit3();
	afx_msg void OnEnChangeEdit4();
	afx_msg void OnEnChangeEdit5();
	afx_msg void OnEnChangeEdit6();
	afx_msg void OnEnChangeEdit7();
	afx_msg void OnEnChangeEdit8();
	afx_msg void OnEnChangeEdit9();
	afx_msg void OnCbnSelchangeCombo1();
	afx_msg void OnCbnSelchangeCombo2();
	afx_msg void OnEnChangeEdit10();
	afx_msg void OnEnChangeEdit11();
	afx_msg void OnEnChangeEdit12();
	afx_msg void OnEnChangeEdit13();
	afx_msg void OnEnChangeEdit14();
	afx_msg void OnEnChangeEdit15();
	afx_msg void OnEnChangeEdit16();
	afx_msg void OnEnChangeEdit17();
	afx_msg void OnEnChangeEdit18();
	afx_msg void OnEnChangeEdit19();
	afx_msg void OnEnChangeEdit20();
	afx_msg void OnEnChangeEdit21();
	afx_msg void OnEnChangeEdit22();
	afx_msg void OnEnChangeEdit25();
	afx_msg void OnEnChangeEdit23();
	afx_msg void OnEnChangeEdit26();
	afx_msg void OnEnChangeEdit27();
	afx_msg void OnEnChangeEdit28();
	afx_msg void OnEnChangeEditLel();

	afx_msg BOOL PreTranslateMessage(MSG* pMsg);	
	CColorStatic m_labelWindowProperties;
	CColorStatic m_labelLEL1;
};
